<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Mail box</title>

    <link rel="stylesheet" href="//fonts.googleapis.com/css?family=Roboto:300,300italic,700,700italic">
    <link rel="stylesheet" href="//cdnjs.cloudflare.com/ajax/libs/normalize/5.0.0/normalize.css">
    <link rel="stylesheet" href="//cdnjs.cloudflare.com/ajax/libs/milligram/1.3.0/milligram.css">
    <link rel="stylesheet" href="./main.css">

    <script src="https://www.google.com/recaptcha/api.js" async defer></script>
</head>
<body>
    <form id="authForm" method="POST" action="/api/mailbox" onsubmit="event.preventDefault(); renderMails();">
        <input type="hidden" name="permit" value="passkey" />
        <label>Passkey</label>
        <input type="password" name="passkey" />
        <div class="g-recaptcha" data-sitekey="6LeqV7cUAAAAAD4gKU30g4tiKARMsR4o2anJUAfG"></div><br>
        <input type="submit" value="See mails" />
    </form>
    <pre id="mails">
        Is javascript disabled?
    </pre>

    <script src="./toJSON.js"></script>
    <script>
        (function(){
            var mock = {
                info: "The mails will be displayed here in json format"
            };
            document.getElementById('mails').innerHTML = JSON.stringify(mock, null, 2);
        })();
        function renderMails() {
            let formData = toJSON(document.getElementById('authForm'));
            let params = "?permit="+formData.permit
                +"&passkey="+formData.passkey
                +"&g-recaptcha-response="+formData["g-recaptcha-response"];
            fetch("/api/mail-box"+params, {
                method: "GET",
                headers: { 
                    "Content-Type": "application/x-www-form-urlencoded"
                },
            }).then((res) => {
                if(res.status !== 200) {
                    throw "Failure";
                };
                return res.json();
            })
                .then((res) => {
                    document.getElementById('mails').innerHTML = JSON.stringify(res, null, 2)
                    document.getElementById('authForm').style.display = "none";
                })
                .catch((err) => console.log({err}));
        }
    </script>
</body>
</html>